FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::SpecificationConstruct Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (SpecificationConstruct)

## Public Attributes
std::variant< common::Indirection< DerivedTypeDef >, common::Indirection< EnumDef >, Statement< common::Indirection< GenericStmt > >, common::Indirection< InterfaceBlock >, Statement< common::Indirection< ParameterStmt > >, Statement< common::Indirection< OldParameterStmt > >, Statement< common::Indirection< ProcedureDeclarationStmt > >, Statement< OtherSpecificationStmt >, Statement< common::Indirection< TypeDeclarationStmt > >, common::Indirection< StructureDef >, common::Indirection< OpenACCDeclarativeConstruct >, common::Indirection< OpenMPDeclarativeConstruct >, common::Indirection< CompilerDirective > > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h